Create a BOM
curl --request POST \
--url https://{companyName}.api.joinluminous.com/external/api/v1/boms \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"items": [
{
"product_id": 123,
"quantity": 1,
"sku": "<string>",
"note": "<string>",
"uom_id": 123,
"order": 1
}
],
"extra_costs": [
{
"name": "<string>",
"quantity": 1,
"unit_price": 1
}
]
}
'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/boms"
payload = {
"name": "<string>",
"items": [
{
"product_id": 123,
"quantity": 1,
"sku": "<string>",
"note": "<string>",
"uom_id": 123,
"order": 1
}
],
"extra_costs": [
{
"name": "<string>",
"quantity": 1,
"unit_price": 1
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
items: [
{
product_id: 123,
quantity: 1,
sku: '<string>',
note: '<string>',
uom_id: 123,
order: 1
}
],
extra_costs: [{name: '<string>', quantity: 1, unit_price: 1}]
})
};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/boms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"name": "<string>",
"items": [
{
"id": 123,
"bom_id": 123,
"product_id": 123,
"quantity": 123,
"product": {
"id": 123,
"name": "<string>",
"sku": "<string>",
"description": "<string>"
},
"base_quantity": 123,
"note": "<string>",
"uom_id": 123,
"unit_of_measure": {
"id": 123,
"name": "<string>"
},
"order": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"extra_costs": [
{
"id": 123,
"name": "<string>",
"quantity": 123,
"unit_price": 123,
"line_total": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}BOMs
Create a BOM
Create a new BOM (Bill of Materials) with items and optional extra costs.
Each item must specify either a product_id or sku. If a sku is provided,
the system will locate the product by SKU (including alternate SKUs). If no product
is found, an error will be thrown.
If no uom_id is provided for an item, the default unit of measure will be used.
For extra costs, only name, quantity, and unit_price are required. The
line_total will be calculated automatically on the backend. Do not provide
line_total in the request.
POST
/
boms
Create a BOM
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Body
application/json
Response
Successful response
Show child attributes
Show child attributes
⌘I